使い方とテンプレート

トリアコンタン

モデレーター
スタッフ
モデレーター
はじめまして、トリアコンタン様。すばらしいプラグインをありがとうございます。
はじめまして!
プラグインのご利用ありがとうございます。

プラグインコマンドの内容次第で発生するバグかもしれません。
実行したプラグインコマンドをテキスト(コマンドをコピペしたいので画面キャプチャではなく文字列でお願いします)でご提示いただければ、こちらで再現確認をしてみます。
 

yuun

ユーザー
返答ありがとうございます。
コマンドは
◆プラグインコマンド:PA_START 5 3 [1,2,3,2,1,2,3,2,1,2,3,4,5,6,7,8,9]
です。
縦に9枚のセルを持つ画像で実行しています。
よろしくお願いします。
 

rentarashiya

ユーザー
トリアコンタン様

はじめまして
色んな素晴らしいプラグインをありがとうございます
あらしと申します

デザインモードについて質問があります

行数は変えますが、列数を変えたい場合はどうしますか?
お返事くださると嬉しいです
 

トリアコンタン

モデレーター
スタッフ
モデレーター
返答ありがとうございます。
コマンドは
◆プラグインコマンド:PA_START 5 3 [1,2,3,2,1,2,3,2,1,2,3,4,5,6,7,8,9]
です。
縦に9枚のセルを持つ画像で実行しています。
よろしくお願いします。
こんにちは!
本件、調査および修正が完了しました。
よろしければお試しください。

1.5.8 2019/10/27 アニメーションタイプが1以外の場合に、非ループアニメの終了位置が間違っている問題を修正
https://raw.githubusercontent.com/triacontane/RPGMakerMV/master/PictureAnimation.js
 

トリアコンタン

モデレーター
スタッフ
モデレーター
トリアコンタン様

はじめまして
色んな素晴らしいプラグインをありがとうございます
あらしと申します

デザインモードについて質問があります

行数は変えますが、列数を変えたい場合はどうしますか?
お返事くださると嬉しいです
こんにちは!
プラグインのご利用ありがとうございます。

列数についてはコアスクリプトの作りの関係上、本プラグインでカスタマイズするのは難しいです。。
ご了承ください。
 

yuun

ユーザー
こんにちは!
本件、調査および修正が完了しました。
よろしければお試しください。

1.5.8 2019/10/27 アニメーションタイプが1以外の場合に、非ループアニメの終了位置が間違っている問題を修正
https://raw.githubusercontent.com/triacontane/RPGMakerMV/master/PictureAnimation.js
修正ありがとうございます。差し替えて試したところ問題無く動作しました。
プラグイン使わせていただきます。
 
画像の赤い線ように、イベントに薄っぺらい通行判定を設定したいと思います。
キャラがそのまま進んでもぶつからない判定です。
HalfMove.js で <HM拡大領域:0,0,0,-0.5> と設定したんですけど、キャラはイベントの中央で止まってしまい通過できません。
もしかして、<HM拡大領域:0,0,0,0>より小さい領域の設定ってできないんでしょうか?
upload_2019-10-31_22-15-57.png
 

トリアコンタン

モデレーター
スタッフ
モデレーター
画像の赤い線ように、イベントに薄っぺらい通行判定を設定したいと思います。
キャラがそのまま進んでもぶつからない判定です。
こんにちは!
プラグインのご利用ありがとうございます。
トリガー領域拡大については、正の値のみを想定していました。

負の値も一応設定可能にしましたが、現状の実装では座標が完全一致した場合は無条件で通行不可となり、領域拡大の数値分だけ判定が拡大する仕様のはずなので、ご要望通りの動作にはならないかもしれません。

1.14.0 2019/11/02 トリガー領域拡大で負の値を設定できるよう修正
https://raw.githubusercontent.com/triacontane/RPGMakerMV/master/HalfMove.js
 
修正ありがとうございます。
早速試して見たところ、ご指摘の通りです。
座標が完全一致したところは通過できません。
あと、やっぱり判定を赤い直線の部分のようにペラペラに設定する事もできませんでした。
イベントの衝突判定って、意外と面倒くさそうですね。

マイナス座標が入力できるようになったので、イベントと離れたところにも衝突判定を出すという、変なことはできるようになってるのは確認しました。
でっかい画像をイベントに設定した時には、役に立つ事もあるのかも。
 
また、HalfMove.jsなんですが、通行設定(4方向)の北の方を通行不可にしたタイルに南の中央から侵入すると、中央の半キャラ南のあたりに障害物があるような挙動をします。
角回避のオプションがONでもOFFでも発生します。
角回避がONの場合、以下の画像のように避ける感じです。
upload_2019-11-10_22-41-55.png(赤い線は通行不可設定)
なお、東西や北から侵入した場合は通過できます。
プラグインはHalfMove.jsだけにしています。
 

トリアコンタン

モデレーター
スタッフ
モデレーター
HalfMove.jsなんですが、通行設定(4方向)の北の方を通行不可にしたタイルに南の中央から侵入すると、中央の半キャラ南のあたりに障害物があるような挙動をします。
こんにちは!
プラグインのご利用ありがとうございます。
こちら再現できるか確認してみます!
 

トリアコンタン

モデレーター
スタッフ
モデレーター
また、HalfMove.jsなんですが、通行設定(4方向)の北の方を通行不可にしたタイルに南の中央から侵入すると、中央の半キャラ南のあたりに障害物があるような挙動をします。
こんにちは!
本件、こちらで現象を確認、修正しました。
よろしければお試しください。

1.15.3 2019/11/14 通行設定(4方向)の北の方を通行不可にしたタイルに南の中央から侵入すると半歩分は通行可能にもかかわらず通行不可判定されてしまう問題を修正
https://raw.githubusercontent.com/triacontane/RPGMakerMV/master/HalfMove.js
 

karamiso

ユーザー
トリアコンタン様
つい先日は某サイトでHalfMove.js修正ご対応いただきまして大変ありがとうございましたm(_ _)m

ここがそういう主旨のトピックでよいのか若干不安ではあるのですが、1点お願いがあり筆(キーボード)を取らせていただきました。
StateRingIcon.jsを愛用させていただいているのですが、アイコンの画面表示サイズ(比率)をプラグインパラメータで変更可能にはできないでしょうか?
デフォルトだと32×32ですが、もう少し拡大して表示したいとか、縮小して表示したいとかニーズが結構あるのではと考えております。
ご検討いただけましたら幸いに存じますm(_ _)m
 

トリアコンタン

モデレーター
スタッフ
モデレーター
ここがそういう主旨のトピックでよいのか若干不安ではあるのですが、1点お願いがあり筆(キーボード)を取らせていただきました。
StateRingIcon.jsを愛用させていただいているのですが、アイコンの画面表示サイズ(比率)をプラグインパラメータで変更可能にはできないでしょうか?
こんにちは!
プラグインのご利用ありがとうございます。
ご要望について了解しました!
たしかにあのアイコンサイズでくるくる回っていると小さくて見づらい気もするので、実装方法を検討してみます。
 

karamiso

ユーザー
連日大人気で引っ張りダコの渦中と存じますが、ご検討いただけるとのことでありがとうございます。
ワクワクしながらお待ちしておりますm(_ _)m
 

トリアコンタン

モデレーター
スタッフ
モデレーター
ここがそういう主旨のトピックでよいのか若干不安ではあるのですが、1点お願いがあり筆(キーボード)を取らせていただきました。
StateRingIcon.jsを愛用させていただいているのですが、アイコンの画面表示サイズ(比率)をプラグインパラメータで変更可能にはできないでしょうか?
こんばんは!
ご要望の機能を追加しました。
よろしければお試しください!

2.1.0 2019/11/20 リングアイコンの拡大率を設定できる機能を追加
https://raw.githubusercontent.com/triacontane/RPGMakerMV/master/StateRingIcon.js
 

karamiso

ユーザー
トリアコンタン様
希望通りの機能が実装されていることを確認しました。
ただいま小躍りしている真っ最中です^^
満額ご期待に沿っていただけるだけでなく、まさかこんな迅速対応まで…(汗
本当にありがとうございましたm(_ _)m
 

lucylucy

ユーザー
海外のプラグインについての質問はできますでしょうか?

訊きたいこと、起こっている現象
LTN Gamesという方が作られたX_ActorItemStash(バージョン1.1.1)というプラグインを導入しましたが、エラーが起きてしまい動作しません。

試してみたこと
新規プロジェクトに上記のプラグインのみを導入してテストプレイしましたが、動作しませんでした。
デベロッパツールを開いたところ、添付画像のようなエラーが表示されていました。
キャプチャ.PNG
プラグインが紹介されている海外のフォーラム内のスレッドを見てみたのですが、どの方もプラグインが適用されているらしく、対策や同様の症状が出ている方はいませんでした(英語力に乏しいので、見付けられていないだけかも知れません)
スレッドURL https://forums.rpgmakerweb.com/index.php?threads/ltn-games-plugins-free-premium-plugins.73609/
        https://forums.rpgmakerweb.com/index.php?threads/actor-item-stash.100287/#post-917479
素材の取得元URL https://ltngames.itch.io/fenixenginemv-actor-item-stash/devlog/81496/update-v111
どなたかお知恵をお貸し下さい。
 
訊きたいこと、起こっている現象
LTN Gamesという方が作られたX_ActorItemStash(バージョン1.1.1)というプラグインを導入しましたが、エラーが起きてしまい動作しません。
こんばんは。
このプラグインは、ツクールMVの本体が1.6以降の最新バージョンでないと動作しません。
 
トップ